<Alte::Card @type="warning">
  <Alte::Card::Header @title={{t "components.saving.fixed-rate.parameters.title"}} @titleIcon="flask" />
  <Alte::Card::Body>
    <BsForm @formLayout="vertical" as |form|>
      <div class="row">
        <div class="col-8 col-sm-9 col-md-8 col-xl-9">
          <form.group>
            <label for="contribution">{{t "components.saving.fixed-rate.parameters.contribution"}}</label>
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.parameters.contribution-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
            <Input
              @type="range"
              @value={{this.parameters.contribution}}
              class="custom-range"
              data-test-parameters-contribution
              id="contribution"
              max={{this.parameters.contributionMax}}
              min="0"
              step="1000"
              {{on "change" (fn @onUpdated this.parameters)}}
            />
          </form.group>
        </div>
        <div class="col-4 col-sm-3 col-md-4 col-xl-3">
          <form.element @onChange={{this.doNothing}} as |el|>
            <el.control
              {{imask-currency
                this.parameters.contribution
                "€"
                onChange=this.setContribution
                min=0
                max=this.parameters.contributionMax
              }}
            />
          </form.element>
        </div>
      </div>

      <div class="row">
        <div class="col-8 col-sm-9 col-md-8 col-xl-9">
          <form.group>
            <div class="d-flex align-items-baseline">
              {{#if (eq this.intl.primaryLocale "fr")}}
                <form.element
                  data-test-transfer-type
                  @controlType="power-select"
                  @value={{this.parameters.transferType}}
                  @onChange={{this.setTransferType}}
                  @options={{this.transferTypes}}
                  class="font-weight-bold mb-1"
                  as |el|
                >
                  <el.control @matchTriggerWidth={{false}} as |transfer-type|>
                    {{t (concat "enums.transfer-type." transfer-type)}}
                  </el.control>
                </form.element>
                <div class="font-weight-bold px-1">{{t "components.saving.fixed-rate.parameters.monthly"}}</div>
              {{else}}
                <div class="font-weight-bold">{{t "components.saving.fixed-rate.parameters.monthly"}}</div>
                <form.element
                  data-test-transfer-type
                  @controlType="power-select"
                  @value={{this.parameters.transferType}}
                  @onChange={{this.setTransferType}}
                  @options={{this.transferTypes}}
                  class="font-weight-bold mb-1 px-1"
                  as |el|
                >
                  <el.control @matchTriggerWidth={{false}} as |transfer-type|>
                    {{t (concat "enums.transfer-type." transfer-type)}}
                  </el.control>
                </form.element>
              {{/if}}
              <span class="tooltip-container">
                <BsTooltip
                  @triggerEvents="click"
                  @title={{t
                    "components.saving.fixed-rate.parameters.transfer-tooltip"
                    transferType=this.parameters.transferType
                  }}
                />
                <FaIcon class="text-info" @icon="question-circle" />
              </span>
            </div>
            <Input
              @type="range"
              @value={{this.parameters.saving}}
              class="custom-range"
              data-test-parameters-saving
              id="saving"
              max={{this.parameters.savingMax}}
              min="0"
              step="10"
              {{on "change" (fn @onUpdated this.parameters)}}
            />
          </form.group>
        </div>
        <div class="col-4 col-sm-3 col-md-4 col-xl-3">
          <form.element @onChange={{this.doNothing}} as |el|>
            <el.control
              {{imask-currency this.parameters.saving "€" onChange=this.setSaving min=0 max=this.parameters.savingMax}}
            />
          </form.element>
        </div>
      </div>

      <div class="row">
        <div class="col-8 col-sm-9 col-md-8 col-xl-9">
          <form.group>
            <label for="yield">{{t "components.saving.fixed-rate.parameters.yearly-rate"}}</label>
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.parameters.yearly-rate-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
            <Input
              id="yield"
              @value={{this.parameters.yield}}
              @type="range"
              min="0"
              max={{this.parameters.yieldMax}}
              step="0.5"
              class="custom-range"
              {{on "change" (fn @onUpdated this.parameters)}}
            />
          </form.group>
        </div>
        <div class="col-4 col-sm-3 col-md-4 col-xl-3">
          <form.element @onChange={{this.doNothing}} as |el|>
            <el.control
              {{imask-percentage this.parameters.yield onChange=this.setYield max=this.parameters.yieldMax}}
            />
          </form.element>
        </div>
      </div>

      <div class="row">
        <div class="col-8 col-sm-9 col-md-8 col-xl-9">
          <form.group>
            <label for="yield">{{t "components.saving.fixed-rate.parameters.fees"}}</label>
            <span class="tooltip-container">
              <BsTooltip @triggerEvents="click" @title={{t "components.saving.fixed-rate.parameters.fees-tooltip"}} />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
            <Input
              id="fees"
              @value={{this.parameters.fees}}
              @type="range"
              min="0"
              max={{this.parameters.feesMax}}
              step="0.5"
              class="custom-range"
              {{on "change" (fn @onUpdated this.parameters)}}
            />
          </form.group>
        </div>
        <div class="col-4 col-sm-3 col-md-4 col-xl-3">
          <form.element @onChange={{this.doNothing}} as |el|>
            <el.control {{imask-percentage this.parameters.fees onChange=this.setFees max=this.parameters.feesMax}} />
          </form.element>
        </div>
      </div>

      <div class="row">
        <div class="col-9">
          <form.group>
            <label for="duration">{{t "components.saving.fixed-rate.parameters.duration"}}</label>
            <span class="tooltip-container">
              <BsTooltip
                @triggerEvents="click"
                @title={{t "components.saving.fixed-rate.parameters.duration-tooltip"}}
              />
              <FaIcon class="text-info" @icon="question-circle" />
            </span>
            <Input
              id="duration"
              @value={{this.parameters.duration}}
              @type="range"
              min="0"
              max={{this.parameters.durationMax}}
              step="1"
              class="custom-range"
              {{on "change" (fn @onUpdated this.parameters)}}
            />
          </form.group>
        </div>
        <div class="col-3">{{t
            "components.saving.fixed-rate.parameters.duration-value"
            yearCount=this.parameters.duration
          }}</div>
      </div>
    </BsForm>
  </Alte::Card::Body>
</Alte::Card>